#!/bin/sh
#### "*******************************************"
#### "*          ..:: A U T H O R ::..          *"
#### "*             << audi06_19 >>             *"
#### "*  ..:: https://dreamosat-forum.com ::..  *"
#### "*******************************************"

OSD="OSCam_11784-801"
CAM="OSCam_11784-801"
PID=`pidof $CAM`
Action=$1

cam_clean () {
	rm -rf /tmp/*.info* /tmp/.*cam /tmp/*.pid
}

cam_handle () {
	if test	-z "${PID}"	; then
		cam_up;
	else
		cam_down;
	fi;
}

cam_down () {
	killall	-9 OSCam_11784-801
	sleep 2
	cam_clean
}

cam_up () {
	/usr/bin/OSCam_11784-801 &
}

if test	"$Action" =	"cam_startup" ;	then
	if test	-z "${PID}" ; then
		cam_down
		cam_up
	else
		echo "$CAM already running, exiting..."
	fi
elif test	"$Action" =	"cam_res" ;	then
		cam_down
		cam_up
elif test "$Action"	= "cam_down" ; then
		cam_down
elif test "$Action"	= "cam_up" ; then
		cam_up
else
		cam_handle
fi

exit 0
